Skip to main content
`Ctrl`+`K`

# numpy.broadcast.reset

method

broadcast.reset()

  Reset the broadcasted result’s iterator(s).

  Parameters:
    None
  Returns:
    None

  Examples

      >>> import numpy as np
      >>> x = np.array([1, 2, 3])
      >>> y = np.array([[4], [5], [6]])
      >>> b = np.broadcast(x, y)
      >>> b.index
      0
      >>> next(b), next(b), next(b)
      ((1, 4), (2, 4), (3, 4))
      >>> b.index
      3
      >>> b.reset()
      >>> b.index
      0